#extension GL_OES_EGL_image_external : require
precision highp float;

varying vec2 outTexCoord;

uniform sampler2D texture;
uniform sampler2D overlayTexture;
uniform bool enableOverlay;
uniform lowp float intensity;

void main() {
    if(enableOverlay){
        vec4 color = texture2D(texture, outTexCoord);
        vec4 overlayColor = texture2D(overlayTexture, outTexCoord);
        gl_FragColor =  intensity*overlayColor + (1.0 - overlayColor.a*intensity) * color;
    }else{
        gl_FragColor = texture2D(texture, outTexCoord);
    }


}